runGLAD {snapCGH} | R Documentation

## Results of segmenting an aCGHList data object using the GLAD library

### Description

This function allows the detection of breakpoints in genomic profiles obtained by array CGH technology and affects a status (gain, normal or lost) to each clone. It requires that the library `GLAD` is loaded.

### Usage

    runGLAD(input, smoothfunc="lawsglad", base=FALSE, sigma = NULL, bandwidth=10,
    round=2, lambdabreak=8, lambdacluster=8, lambdaclusterGen=40,
    type="tricubic", param=c(d=6), alpha=0.001, method="centroid",
    nmax=8, verbose=FALSE, ...)

### Arguments

`input` | An object of class `MAList` or `SegList`
`smoothfunc` | Type of algorithm used to smooth `LogRatio` by a piecewise constant function. Choose either `lawsglad`, `aws` or `laws`.
`base` | If `TRUE`, the position of clone is the physical position onto the chromosome, otherwise the rank position is used.
`sigma` | Value to be passed to either argument `sigma2` of`aws` function or `shape` of `laws`. If `NULL`, sigma is calculated from the data.
`bandwidth` | Set the maximal bandwidth `hmax` in the `aws` or `laws` function. For example, if `bandwidth=10` then the `hmax` value is set to 10*X_N where X_N is the position of the last clone.
`round` | The smoothing results are rounded or not depending on the `round` argument. The `round` value is passed to the argument `digits` of the `round` function.
`lambdabreak` | Penalty term (λ') used during the Optimization of the number of breakpoints step.
`lambdacluster` | Penalty term (λ*) used during the MSHR clustering by chromosome step.
`lambdaclusterGen` | Penalty term (λ*) used during the HCSR clustering throughout the genome step.
`type` | Type of kernel function used in the penalty term during the Optimization of the number of breakpoints step, the MSHR clustering by chromosome step and the HCSR clustering throughout the genome step.
`param` | Parameter of kernel used in the penalty term.
`alpha` | Parameter for ?????.
`method` | The agglomeration method to be used during the MSHR clustering by chromosome and the HCSR clustering throughout the genome clustering steps.
`nmax` | Maximum number of clusters (N*max) allowed during the the MSHR clustering by chromosome and the HCSR clustering throughout the genome clustering steps.
`verbose` | If `TRUE` some information are printed
`...` |

### Details

For a detailed explanation of the GLAD algorithm please see the relevant section of the GLAD manual: `glad`

### Value

The function returns an object of class `SegList`

### See Also

`glad` `MAList` `runHomHMM` `runDNAcopy` `SegList`

[Package snapCGH version 1.2.0 Index]